<?php

	class AKB_CONTACT_PANEL extends AKB_PANEL
	{
		/**
		* SetPanelSettings
		* This function is a chance to set any last minute global variables for
		* the template to use
		*
		* @return void
		*/
		function SetPanelSettings()
		{
			if (isset($_SESSION['contact']['groupid'])) {
				$GLOBALS['ContactGroups'] = $GLOBALS['AKB_CLASS_CONTACT']->GetContactGroupSelect($_SESSION['contact']['groupid']);
			} else {
				$GLOBALS['ContactGroups'] = $GLOBALS['AKB_CLASS_CONTACT']->GetContactGroupSelect();
			}
			if (empty($GLOBALS['ContactGroups'])) {
				$GLOBALS['HidePanels'][] = 'ContactGroupSelectPanel';
			}

			if ($GLOBALS['useCaptchaCheck'] ) {
				// Add a link in so they can regenerate the image if they can't read the text
				$GLOBALS['AKB_CAPTCHA_Reload'] =$GLOBALS['AKB_CLASS_TEMPLATE']->GetSnippet('ReloadCaptchaImage');
			} else {
				$GLOBALS['ShowCaptcha'] = 'none';
				$GLOBALS['AKB_CAPTCHA'] = '';
			}
		}

	}
?>
